package member

import (
	"strconv"
	"web/common/page"
	"web/common/response"
	"web/model/user"

	"github.com/gin-gonic/gin"
)

type MemberController struct{}

func (c *MemberController) Index() gin.HandlerFunc {
	u := user.GetUser()
	return func(ctx *gin.Context) {
		response.Ok(ctx, response.Struct{
			Code:    1,
			Message: "ok",
			Data:    u,
		})
	}
}

func (c *MemberController) Update() gin.HandlerFunc {
	return func(ctx *gin.Context) {
		i := ctx.PostForm("id")
		name := ctx.PostForm("name")
		id, _ := strconv.Atoi(i)

		if user.SetName(id, name) {
			response.Ok(ctx, response.Struct{
				Code:    1,
				Message: "ok",
				Data:    id,
			})
		} else {
			response.BadRequest(ctx, response.Struct{
				Code:    0,
				Message: "error",
				Data:    nil,
			})
		}
	}
}

func (c *MemberController) List() gin.HandlerFunc {
	return func(ctx *gin.Context) {
		pd := page.Build(ctx, 1)
		data := user.GetUserList(pd)
		response.Ok(ctx, response.Struct{
			Code:    1,
			Message: "ok",
			Data:    data,
		})
	}
}
